Skip to main content
GET
/
api
/
registry
/
catalog
Browse the property catalog
curl --request GET \
  --url https://agenticadvertising.org/api/registry/catalog
{
  "entries": [
    {
      "property_rid": "<string>",
      "property_id": "<string>",
      "classification": "property",
      "source": "adagents_json",
      "status": "active",
      "identifiers": [
        {
          "type": "domain",
          "value": "nytimes.com"
        }
      ]
    }
  ],
  "total": 123,
  "next_cursor": "<string>"
}

Query Parameters

classification
string
Example:

"property"

source
string
status
string
Example:

"active"

identifier_type
string
Example:

"domain"

min_resolves
string

Minimum lifetime resolve count (integer).

active_since
string

ISO 8601 — only properties with resolve activity since this time.

limit
string

Page size (integer).

cursor
string

Opaque pagination cursor from a prior next_cursor.

Response

200 - application/json

Catalog page

entries
object[]
required
total
integer
required
next_cursor
string | null
required

Opaque cursor for the next page; null when exhausted.